Subject: Re: [PATCH] describe: use khash in finish_depth_computation()

From: René Scharfe <[email-masked]>
Date: Wed, 3 Sep 2025 18:30:57 +0200

On 8/25/25 9:34 AM, Jeff King wrote:
> 
> [oidset instead of khash]
> But the bonus here is that we didn't need to define a new hash
> type, nor do any tricks with the commit->index field.

It took me a while to notice what's tricky, or rather inconsistent,
about the khash set of commit objects with commit index as hash: We
could just as well go all in and use an uint32_t khash set of commit
indexes.  That would reduce the memory footprint further.  No pointers
needed here.  Didn't measure a meaningful performance difference
though, so that's that..
René